AUDIT_GETLOGINUID(3)

NAME
audit_getloginuid - Get a program's loginuid value

SYNOPSIS
#include <libaudit.h>

uid_t audit_getloginuid(void);

DESCRIPTION
This function returns the task attribute loginuid.

RETURN VALUE
This function returns the loginuid value if it was set. It will return a -1 if loginuid was unset. However, since uid_t is an unsigned type, you will see the converted value instead of -1.

ERRORS
This function returns -1 on failure. However, in the event of a real error, errno would be set. The function can set errno based on failures of open, read, or strtoul.

SEE ALSO
audit_setloginuid(3).

AUTHOR
Steve Grubb